ISWCNTRL(3)

NAME
iswcntrl - test for control wide character

SYNOPSIS
#include <wctype.h>

int iswcntrl(wint_t wc);

DESCRIPTION
The iswcntrl() function is the wide-character equivalent of the iscntrl(3) function. It tests whether wc is a wide character belonging to the wide-character class "cntrl".

The wide-character class "cntrl" is disjoint from the wide-character class "print" and therefore also disjoint from its subclasses "graph", "alpha", "upper", "lower", "digit", "xdigit", "punct".

For an unsigned char c, iscntrl(c) implies iswcntrl(btowc(c)), but not vice versa.

RETURN VALUE
The iswcntrl() function returns nonzero if wc is a wide character belonging to the wide-character class "cntrl". Otherwise, it returns zero.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe locale

CONFORMING TO
POSIX.1-2001, POSIX.1-2008, C99.

NOTES
The behavior of iswcntrl() depends on the LC_CTYPE category of the current locale.

SEE ALSO
iscntrl(3), iswctype(3)

COLOPHON
This page is part of release 4.05 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at https://www.kernel.org/doc/man-pages/.